# curl_multi_init

(PHP 5, PHP 7)

curl_multi_init — Returns a new cURL multi handle

### Description

curl_multi_init ( void ) : resource

Allows the processing of multiple cURL handles asynchronously.

### Parameters

This function has no parameters.

### Return Values

Returns a cURL multi handle resource on success, `FALSE` on failure.

### Examples

Example #1 curl_multi_init() example

This example will create two cURL handles, add them to a multi handle, and process them asynchronously.

`<?php
// create both cURL resources
$ch1 = curl_init();
$ch2 = curl_init();
// set URL and other appropriate options
curl_setopt($ch1, CURLOPT_URL, "http://lxr.php.net/");
curl_setopt($ch1, CURLOPT_HEADER, 0);
curl_setopt($ch2, CURLOPT_URL, "http://www.php.net/");
curl_setopt($ch2, CURLOPT_HEADER, 0);
//create the multiple cURL handle
$mh = curl_multi_init();
//add the two handles
curl_multi_add_handle($mh,$ch1);
curl_multi_add_handle($mh,$ch2);
//execute the multi handle
do {
$status = curl_multi_exec($mh, $active);
if ($active) {
curl_multi_select($mh);
}
} while ($active && $status == CURLM_OK);
//close the handles
curl_multi_remove_handle($mh, $ch1);
curl_multi_remove_handle($mh, $ch2);
curl_multi_close($mh);
?>`

### See Also

- curl_init() - Initialize a cURL session
- curl_multi_close() - Close a set of cURL handles